Bug 236056 - "Connection" SDC page missing from Java SDC nav
"Connection" SDC page missing from Java SDC nav
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: joseph canton
joseph canton
Depends On:
Blocks: 239809
  Show dependency treegraph
Reported: 2007-04-11 14:14 EDT by Máirín Duffy
Modified: 2007-07-25 11:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-25 11:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2007-04-11 14:14:54 EDT
+++ This bug was initially created as a clone of Bug #236045 +++

For example:


Under details has four items listed:
    * Overview
    * Properties
    * Hardware
    * Notes

Now click on "Notes" and a 5th item appears:
    * Overview
    * Properties
    * Connection
    * Hardware
    * Notes

Shouldn't the connection link appear on the URL above as well?

Hopefully this is not a DUP.  thanks!

-- Additional comment from duffy@redhat.com on 2007-04-11 13:45 EST --
hi Daryl, what kind of system is the one you're looking at? Can you send a
screenshot and/or system id?

Thanks, ~m

-- Additional comment from akrherz@iastate.edu on 2007-04-11 13:48 EST --

The SSID is in the URL I mentioned.  It is just some average EL4 WS system.


-- Additional comment from duffy@redhat.com on 2007-04-11 14:00 EST --
This is why this is happening:

Details is /rhn/systems/details/Overview.do - Java
- Details > Hardware is
- Details > Notes is perl:

The nav for the java pages doesn't include 'Details > Connection' but the nav
for the perl pages does, so if you click on Details > Hardware or Details >
Notes the 'Details > Connection' page suddenly shows up.

Details > Connection is:

-- Additional comment from duffy@redhat.com on 2007-04-11 14:13 EST --
Created an attachment (id=152307)
screenshot of the sdc details > connection screen
Comment 1 Máirín Duffy 2007-04-11 14:15:46 EDT
this clone is for rhn hosted.
Comment 2 Bret McMillan 2007-05-11 11:48:05 EDT
Hopefully, just a simple nav issue.  Joe, let me know if this starts to grow in
Comment 3 joseph canton 2007-05-24 08:58:39 EDT
Mairin, (or anyone else that can answer) 1 question:

1.  what is the login or account# (org id) of the customer with this problem?

also, some feedback:  the java page has code for the navigation to the
connections screen.  However this link is protected by security that checks for
certain versions of proxies and does not show the link if the proxies are not
found. Since the perl page shows a proxy is is possible that either the perl and
java aren't checking for the same proxy versions, or there is a bug in
Access.java method aclOrgProxyEvrAtLeast that checks for the proxies. Either
way, it is helpful if I could know the org-id or login of a
sample customer that exhibits this problem.

Comment 6 joseph canton 2007-05-24 11:58:31 EDT
note: connection shows  connection.pxt which specifies:
"This feature is only available to RHN Proxy version 3.1.0 or later"

Remember that acl test is for V 3.1.1 or later.

Need to change acl test to 3.1.0  or alternatively to change connection.pxt to
3.1.1 so that page and test both are synchronized on either 3.1.0 or 3.1.1.

Comment 7 joseph canton 2007-05-24 14:05:16 EDT
Sync on 3.1.3

fix committed:
Access.java revision 116816
web/html/network/systems/details/connection.pxt   revision 116817
Comment 8 joseph canton 2007-05-24 14:06:03 EDT
make that Sync on 3.1.1 
Comment 9 James Bowes 2007-07-25 11:15:49 EDT
rhn502 released.

Note You need to log in before you can comment on or make changes to this bug.